<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_ret.inc.php');
include_once('../inc/lst.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$fi = '';
if (isset($_GET['fi']) && (trim($_GET['fi']) <> '')) {
    $fi = (int)$_GET['fi'];
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Impression liste Produits à Retourner'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            warn_print(1);
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>

<body>
<?php
entimplst(_('LISTE DES PRODUITS A RETOURNER'));

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

$rech = cree_strrechlstretp();

if (CheckNivLog('3-4')) {
    if (!stristr($rech, 'WHERE ')) {
        $rech .= ' WHERE ' . TBRETP . ".retp_codeage='" . valsession('code_age') . "'";
    } else {
        $rech .= ' AND ' . TBRETP . ".retp_codeage='" . valsession('code_age') . "'";
    }
}

switch ($fi) {
    case '1' :
        if (!stristr($rech, 'WHERE ')) {
            $rech .= " WHERE retp_datedde='0000-00-00'";
        } else {
            $rech .= " AND retp_datedde='0000-00-00'";
        }
        break;
    case '2' :
        if (!stristr($rech, 'WHERE ')) {
            $rech .= " WHERE retp_dateenv='0000-00-00'";
        } else {
            $rech .= " AND retp_dateenv='0000-00-00'";
        }
        break;
    case '3' :
        if (!stristr($rech, 'WHERE ')) {
            $rech .= " WHERE retp_dateret='0000-00-00'";
        } else {
            $rech .= " AND retp_dateret='0000-00-00'";
        }
        break;
    default :
        break;
}

$rech .= crestr_triord($retp_titre_col, 'retp_code', FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);

// *** Affichage de la table
echo '<table class="MItable" border="0" width="100%" cellpadding="0" cellspacing="0">';

// création entête
titimplst($retp_titre_col);

foreach ($rows as $row) {
    $row = encode_str($row);
    echo '<tr>';

    echo '<td>';
    echo $row['retp_code'];
    echo '</td>';
    echo '<td>';
    echo '<div align="center">';
    echo datetolocal($row['retp_datecrea']);
    echo '<span class="annot_petit_it">';
    $row2 = lit_enr_retr($row['retp_code'], FALSE);
    if (is_array($row2)) {
        $row2 = encode_str($row2);
        if ($row2['retr_clos'] == 1) {
            $lst_retps = TRUE;
            echo ' <img src="../img/ok.png" border="0" align="absmiddle">';
        }
    } else {
        if ($row['retp_codeenv'] <> '') {
            $row2 = lit_enr_rete($row['retp_codeenv'], FALSE);
            if ($row2) {
                $row2 = encode_str($row2);
                if (datetolocal($row2['rete_dateenv']) <> '') {
                    echo '<br />' . _('Envoyé le') . ' ' . datetolocal($row2['rete_dateenv']);
                } else {
                    echo '<br />' . _('Prêt à partir');
                }
            }
        } else {
            if (datetolocal($row['retp_datedde']) <> '') {
                echo '<br />' . _('Demande le') . ' ' . datetolocal($row['retp_datedde']);
                $row2 = lit_enr_retd($row['retp_code'], FALSE);
                if ($row2) {
                    $row2 = encode_str($row2);
                    if (datetolocal($row2['retd_daterep']) <> '') {
                        echo '<br />' . _('Réponse le') . ' ' . datetolocal($row2['retd_daterep']);
                    }
                }
            }
        }
    }
    echo '</span>';
    echo '</td>';

    echo '</div>';
    echo '</td>';
    if ($tx <> 'e') {
        echo '<td>';
        echo $row['retp_codeage'];
        echo '</td>';
    }
    echo '<td>';
    echo '<span class="annot_std_gras">';
    echo $row['retp_des'];
    echo '</span>';
    if ($row['retp_ns'] <> '') {
        echo '<br />->' . _('N/S') . ' : ' . $row['retp_ns'];
    }
    echo '</td>';

    echo '<td align="center">';
    if ($row['retp_codeint'] <> '-1') {
        echo $row['retp_codeint'];
    } else {
        echo '-';
    }
    echo '</td>';

    echo '<td align="center">';
    if ($row['retp_codeenv'] <> '') {
        echo $row['retp_codeenv'];
    } else {
        echo '-';
    }
    echo '</td>';
    echo '</tr>';
}
echo '</table>';
// *** Fin affichage de la table

close_database();
?>
</body>
</html>